Angular Data GridBasic example in Angular

Start with the Angular data grid basic configuration examples, using component properties for configuration and external control.

On this page

Example

The following example is a basic implementation of the @handsontable/angular wrapper.

/* file: app.component.ts */
import { Component } from '@angular/core';

@Component({
  selector: 'app-root',
  standalone: false,
  template: `
    <div>
      <hot-table
        [data]="dataset"
        [colHeaders]="true"
        height="auto"
        [autoWrapRow]="true"
        [autoWrapCol]="true"
        licenseKey="non-commercial-and-evaluation">
          <hot-column data="id" [readOnly]="true" title="ID"></hot-column>
          <hot-column data="name" title="Full name"></hot-column>
          <hot-column data="address" title="Street name"></hot-column>
      </hot-table>
    </div>
  `,
})

export class AppComponent {
  dataset = [
    {id: 1, name: 'Ted Right', address: 'Wall Street'},
    {id: 2, name: 'Frank Honest', address: 'Pennsylvania Avenue'},
    {id: 3, name: 'Joan Well', address: 'Broadway'},
    {id: 4, name: 'Gail Polite', address: 'Bourbon Street'},
    {id: 5, name: 'Michael Fair', address: 'Lombard Street'},
    {id: 6, name: 'Mia Fair', address: 'Rodeo Drive'},
    {id: 7, name: 'Cora Fair', address: 'Sunset Boulevard'},
    {id: 8, name: 'Jack Right', address: 'Michigan Avenue'},
  ];
}


/* file: app.module.ts */
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { HotTableModule } from '@handsontable/angular';
import { registerAllModules } from 'handsontable/registry';
import { AppComponent } from './app.component';

// register Handsontable's modules
registerAllModules();

@NgModule({
  imports: [ BrowserModule, HotTableModule ],
  declarations: [ AppComponent ],
  bootstrap: [ AppComponent ]
})

export class AppModule { }

The following example is a simple implementation of the @handsontable/vue component.
@handsontable/vue
In this example, a div element of id="example1" where the @handsontable/vue component will be rendered.
div
id="example1"
import Vue from 'vue'; import { HotTable } from '@handsontable/vue'; import { registerAllModules } from 'handsontable/registry'; import { createSpreadsheetData } from './helpers'; // register Handsontable's modules registerAllModules(); new Vue({ el: '#example1', data: function() { return { hotSettings: { data: createSpreadsheetData(6, 10), colHeaders: true, height: 'auto', licenseKey: 'non-commercial-and-evaluation' } } }, components: { HotTable } });
<div id="example1"> <hot-table :settings="hotSettings"></hot-table> </div>
← Installation in Vue 2 Modules in Vue 2 →

# Basic examples in React
Table of contents
# Overview
The following examples outline how to perform basic tasks using a React Handsontable configuration.
# Examples
import ReactDOM from 'react-dom';
import { HotTable } from '@handsontable/react';
import { registerAllModules } from 'handsontable/registry';
import { createSpreadsheetData } from './helpers';
// register Handsontable's modules
registerAllModules();
const hotData = createSpreadsheetData(6, 10);
const App = () => {
return (
<div>
<HotTable
data={hotData}
colHeaders={true}
rowHeaders={true}
height='auto'
licenseKey="non-commercial-and-evaluation"
/>
</div>
)
}
ReactDOM.render(<App />, document.getElementById('example1'));
<!-- a root div in which the component is being rendered -->
<div id="example1"></div>
# A single property configuration
import ReactDOM from 'react-dom';
import { HotTable } from '@handsontable/react';
import { registerAllModules } from 'handsontable/registry';
import { createSpreadsheetData } from './helpers';
// register Handsontable's modules
registerAllModules();
const hotData = createSpreadsheetData(6, 10);
const App = () => {
return (
<div>
<HotTable
settings={{
data: hotData,
colHeaders: true,
rowHeaders: true,
height: 'auto',
licenseKey: 'non-commercial-and-evaluation'
}}
/>
</div>
)
}
ReactDOM.render(<App />, document.getElementById('example2'));
# External control
import React, { useState } from 'react';
import ReactDOM from 'react-dom';
import { HotTable } from '@handsontable/react';
import { registerAllModules } from 'handsontable/registry';
import { createSpreadsheetData } from './helpers';
// register Handsontable's modules
registerAllModules();
const App = () => {
const [settings, setSettings] = useState(() => {
const initialState = {
data: createSpreadsheetData(15, 20),
height: 220,
licenseKey: 'non-commercial-and-evaluation'
}
return initialState;
});
const handleChange = (setting, states) => event => {
setSettings(prevState => ({
...prevState,
[setting]: states[event.target.checked ? 1 : 0],
}))
}
return (
<div>
<div className="controllers">
<label>
<input onChange={handleChange('fixedRowsTop', [0, 2])} type="checkbox" />
Add fixed rows
</label>
<br/>
<label>
<input onChange={handleChange('fixedColumnsStart', [0, 2])} type="checkbox" />
Add fixed columns
</label>
<br/>
<label>
<input onChange={handleChange('rowHeaders', [false, true])} type="checkbox" />
Enable row headers
</label>
<br/>
<label>
<input onChange={handleChange('colHeaders', [false, true])} type="checkbox" />
Enable column headers
</label>
<br/>
</div>
<HotTable root="hot" settings={settings}/>
</div>
);
}
ReactDOM.render(<App />, document.getElementById('example3'));